/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ScalarConverter.cpp                                :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2025/04/03 19:59:17 by adjoly            #+#    #+#             */
/*   Updated: 2025/04/08 14:17:44 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ScalarConverter.hpp"

void _log(std::string emoji, std::string what, std::string who,
		  std::string str) {
#ifdef VERBOSE
	if (who.empty())
		std::cout << "「" << emoji << "」" << what << ": " << str << std::endl;
	else
		std::cout << "「" << emoji << "」" << what << "(" << who << "): " << str
				  << std::endl;
#else
	(void)emoji, (void)what, (void)who, (void)str;
#endif
}

ScalarConverter::ScalarConverter(void) {
	_log("➕", "ScalarConverter", "", "default constructor called");
}

ScalarConverter::ScalarConverter(const ScalarConverter &cpy) {
	_log("➕", "ScalarConverter", "", "copy constructor called");
	if (this != &cpy) {
		*this = cpy;
	}
}

ScalarConverter::~ScalarConverter(void) {
	_log("➖", "ScalarConverter", "", "destructor called");
}

ScalarConverter &ScalarConverter::operator=(const ScalarConverter &) { return *this; }

void ScalarConverter::convert(std::string &s) {
	
}
