/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ScalarConverter.hpp                                :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2025/04/03 19:38:39 by adjoly            #+#    #+#             */
/*   Updated: 2025/04/08 14:29:28 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#pragma once

#include <iostream>
#include <string>

class ScalarConverter {
  public:
	static void convert(std::string &);

  private:
	ScalarConverter(void);
	ScalarConverter(const ScalarConverter &);
	~ScalarConverter(void);

	ScalarConverter			  &operator=(const ScalarConverter &);

	template <typename T> void _printFloat(T nb) {
		std::cout << "float: " << static_cast<float>(nb) << "f" << std::endl;
	}
	template <typename T> void _printInt(T nb) {
		std::cout << "int: " << static_cast<int>(nb) << std::endl;
	}
	template <typename T> void _printChar(T nb) {
		std::cout << "char: '" << static_cast<char>(nb) << "'" << std::endl;
	}
	template <typename T> void _printDouble(T nb) {
		std::cout << "double: " << static_cast<double>(nb) << std::endl;
	}
};
